[Setup]
AppName=Text Converter
AppVerName=Text Converter 1.1
AppPublisher=Enkod Software
AppPublisherURL=http://www.enkod.com/
AppSupportURL=http://www.enkod.com/
AppUpdatesURL=http://www.enkod.com/
DefaultDirName={pf}\Enkod Software\TextConv
DefaultGroupName=Enkod Software\Text Converter
AllowNoIcons=yes
OutputBaseFilename=textconv
OutputDir=..\_Packages
UninstallDisplayName=Enkod Text Converter 1.1
UninstallDisplayIcon={app}\textconv.exe

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"

[Types]
Name: "typical"; Description: "Typical installation"
Name: "full"; Description: "Full installation"
Name: "compact"; Description: "Compact installation"
Name: "custom"; Description: "Custom installation"; Flags: iscustom

[Components]
Name: "main"; Description: "Main Program"; Types: full typical compact
Name: "src"; Description: "Source Files"; Types: full
Name: "src\prog"; Description: "Program Source"; Types: full
Name: "src\help"; Description: "Help Source"; Types: full
Name: "src\icon"; Description: "Icon Source"; Types: full
Name: "src\inst"; Description: "Installer Source"; Types: full
Name: "docs"; Description: "Documentation"; Types: full typical

[Files]
Source: "bin\textconv.exe"; DestDir: "{app}"; Flags: ignoreversion; Components: main
Source: "bin\help.chm"; DestDir: "{app}"; Flags: ignoreversion; Components: docs
Source: "src\*"; DestDir: "{app}\dev\src"; Flags: ignoreversion; Components: src\prog
Source: "src-help\*"; DestDir: "{app}\dev\src-help"; Flags: ignoreversion; Components: src\help
Source: "src-icon\*"; DestDir: "{app}\dev\src-icon"; Flags: ignoreversion; Components: src\icon
Source: "*"; Excludes: "textconv.iss"; DestDir: "{app}\dev"; Flags: ignoreversion; Components: src\prog
Source: "textconv.iss"; DestDir: "{app}\dev"; Flags: ignoreversion; Components: src\inst

[Icons]
Name: "{group}\Text Converter"; Filename: "{app}\textconv.exe"; WorkingDir: "{app}"
Name: "{group}\Text Converter Help"; Filename: "{app}\help.chm"; WorkingDir: "{app}"
Name: "{group}\Uninstall Text Converter"; Filename: "{uninstallexe}"
Name: "{userdesktop}\Text Converter"; Filename: "{app}\textconv.exe"; WorkingDir: "{app}"; Tasks: desktopicon

